Bug 438140 - b43: cannot associate with AP (WPA2 PSK)
b43: cannot associate with AP (WPA2 PSK)
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: NetworkManager (Show other bugs)
9
i686 Linux
low Severity medium
: ---
: ---
Assigned To: Dan Williams
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-03-19 08:02 EDT by Erik Sohns
Modified: 2008-10-22 07:55 EDT (History)
4 users (show)

See Also:
Fixed In Version: FC9
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-10-22 07:55:58 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
log dump as requested (15.36 KB, application/octet-stream)
2008-04-11 10:58 EDT, Erik Sohns
no flags Details

  None (edit)
Description Erik Sohns 2008-03-19 08:02:50 EDT
Description of problem:
see Summary. The Network Manager applet doesn't show me any AP

Version-Release number of selected component (if applicable):
NetworkManager-gnome-0.7.0-0.6.7.svn3235.fc8
NetworkManager-openvpn-0.7.0-8.svn3302.fc8
NetworkManager-0.7.0-0.6.7.svn3235.fc8
NetworkManager-vpnc-0.7.0-0.6.3.svn3109.fc8
NetworkManager-glib-0.7.0-0.6.7.svn3235.fc8

How reproducible:
always

Steps to Reproduce:
1.
2.
3.
  
Actual results:
when manually entering AP information, it tries to connect, but seems to
timeout, give up and asks me to enter the password

Expected results:
connection succeeds

Additional info:
found this in the syslog:
Mar 19 10:34:54 localhost NetworkManager: <info>  Bringing up device wlan0
Mar 19 10:34:54 localhost kernel: input: b43-phy0 as /devices/virtual/input/input8
Mar 19 10:34:54 localhost kernel: b43-phy0: Loading firmware version 410.2160
(2007-05-26 15:32:10)
Mar 19 10:34:55 localhost kernel: Registered led device: b43-phy0:tx
Mar 19 10:34:55 localhost kernel: Registered led device: b43-phy0:rx
Mar 19 10:34:55 localhost kernel: Registered led device: b43-phy0:radio
Mar 19 10:34:55 localhost kernel: ADDRCONF(NETDEV_UP): wlan0: link is not ready
Mar 19 10:34:55 localhost NetworkManager: <info>  Deactivating device wlan0.
Mar 19 10:34:55 localhost NetworkManager: <WARN> 
nm_device_802_11_wireless_disable_encryption(): error setting key for device
wlan0: No such file or directory
Mar 19 10:34:55 localhost NetworkManager: <info>  (wlan0): exporting device as
/org/freedesktop/Hal/devices/net_00_14_a5_c2_0d_fd

relevant syslog entries when trying to switch to WLAN:
Mar 19 12:58:14 localhost NetworkManager: <info>  User request for activation of
wlan0.
Mar 19 12:58:14 localhost NetworkManager: <info>  Deactivating device eth0.
Mar 19 12:58:14 localhost NetworkManager: <info>  eth0: canceled DHCP
transaction, dhclient pid 31857
Mar 19 12:58:14 localhost NetworkManager: <info>  Activating device wlan0
Mar 19 12:58:14 localhost NetworkManager: <info>  Activation (wlan0) Stage 1 of
5 (Device Prepare) scheduled...
Mar 19 12:58:14 localhost NetworkManager: <info>  Activation (wlan0) Stage 1 of
5 (Device Prepare) started...
Mar 19 12:58:14 localhost NetworkManager: <info>  Activation (wlan0) Stage 2 of
5 (Device Configure) scheduled...
Mar 19 12:58:14 localhost NetworkManager: <info>  Activation (wlan0) Stage 1 of
5 (Device Prepare) complete.
Mar 19 12:58:14 localhost NetworkManager: <info>  Activation (wlan0) Stage 2 of
5 (Device Configure) starting...
Mar 19 12:58:14 localhost NetworkManager: <info>  Activation (wlan0/wireless):
access point 'Auto Wireless@Home' has security, but secrets are required.
Mar 19 12:58:14 localhost NetworkManager: <info>  Activation (wlan0) Stage 2 of
5 (Device Configure) complete.
Mar 19 12:58:14 localhost NetworkManager: Missing or invalid key management
Mar 19 12:58:14 localhost NetworkManager: <info>  Activation (wlan0) Stage 1 of
5 (Device Prepare) scheduled...
Mar 19 12:58:14 localhost NetworkManager: <info>  Activation (wlan0) Stage 1 of
5 (Device Prepare) started...
Mar 19 12:58:14 localhost NetworkManager: <info>  Activation (wlan0) Stage 2 of
5 (Device Configure) scheduled...
Mar 19 12:58:14 localhost NetworkManager: <info>  Activation (wlan0) Stage 1 of
5 (Device Prepare) complete.
Mar 19 12:58:14 localhost NetworkManager: <info>  Activation (wlan0) Stage 2 of
5 (Device Configure) starting...
Mar 19 12:58:14 localhost NetworkManager: <info>  Activation (wlan0/wireless):
connection 'Auto Wireless@Home' has security, and secrets exist.  No new secrets
needed.
Mar 19 12:58:14 localhost NetworkManager: <info>  Config: added 'ssid' value
'Wireless@Home'
Mar 19 12:58:14 localhost NetworkManager: <info>  Config: added 'key_mgmt' value
'WPA-PSK'
Mar 19 12:58:14 localhost NetworkManager: <info>  Config: added 'psk' value
'<omitted>'
Mar 19 12:58:14 localhost NetworkManager: <info>  Config: added 'proto' value
'WPA RSN'
Mar 19 12:58:14 localhost NetworkManager: <info>  Config: added 'pairwise' value
'TKIP CCMP'
Mar 19 12:58:14 localhost NetworkManager: <info>  Config: added 'group' value
'WEP40 WEP104 TKIP CCMP'
Mar 19 12:58:14 localhost NetworkManager: <info>  Activation (wlan0) Stage 2 of
5 (Device Configure) complete.
Mar 19 12:58:14 localhost NetworkManager: <info>  Config: set interface ap_scan to 1
Mar 19 12:58:14 localhost NetworkManager: <info>  (wlan0) Supplicant interface
state change: 1 -> 2
Mar 19 12:58:39 localhost NetworkManager: <info>  Activation (wlan0/wireless):
association took too long, asking for new key.
Mar 19 12:58:39 localhost NetworkManager: <info>  (wlan0) Supplicant interface
state change: 2 -> 0
Mar 19 12:58:53 localhost NetworkManager: <info>  Activation (wlan0) Stage 1 of
5 (Device Prepare) scheduled...
Mar 19 12:58:53 localhost NetworkManager: <info>  Activation (wlan0) Stage 1 of
5 (Device Prepare) started...
Mar 19 12:58:53 localhost NetworkManager: <info>  Activation (wlan0) Stage 2 of
5 (Device Configure) scheduled...
Mar 19 12:58:53 localhost NetworkManager: <info>  Activation (wlan0) Stage 1 of
5 (Device Prepare) complete.
Mar 19 12:58:53 localhost NetworkManager: <info>  Activation (wlan0) Stage 2 of
5 (Device Configure) starting...
Mar 19 12:58:53 localhost NetworkManager: <info>  Activation (wlan0/wireless):
connection 'Auto Wireless@Home' has security, and secrets exist.  No new secrets
needed.
Mar 19 12:58:53 localhost NetworkManager: <info>  Config: added 'ssid' value
'Wireless@Home'
Mar 19 12:58:53 localhost NetworkManager: <info>  Config: added 'key_mgmt' value
'WPA-PSK'
Mar 19 12:58:53 localhost NetworkManager: <info>  Config: added 'psk' value
'<omitted>'
Mar 19 12:58:53 localhost NetworkManager: <info>  Config: added 'proto' value
'WPA RSN'
Mar 19 12:58:53 localhost NetworkManager: <info>  Config: added 'pairwise' value
'TKIP CCMP'
Mar 19 12:58:53 localhost NetworkManager: <info>  Config: added 'group' value
'WEP40 WEP104 TKIP CCMP'
Mar 19 12:58:53 localhost NetworkManager: <info>  Activation (wlan0) Stage 2 of
5 (Device Configure) complete.
Mar 19 12:58:53 localhost NetworkManager: <info>  Config: set interface ap_scan to 1
Mar 19 12:58:53 localhost NetworkManager: <info>  (wlan0) Supplicant interface
state change: 0 -> 2
Mar 19 12:59:18 localhost NetworkManager: <info>  Activation (wlan0/wireless):
association took too long, asking for new key.
Mar 19 12:59:18 localhost NetworkManager: <info>  (wlan0) Supplicant interface
state change: 2 -> 0
Mar 19 12:59:23 localhost NetworkManager: <WARN>  get_secrets_cb(): Couldn't get
connection secrets: applet.c.3300 (get_secrets_dialog_response_cb): canceled.
Mar 19 12:59:23 localhost NetworkManager: <info>  Activation (wlan0) failed for
access point (Wireless@Home)
Mar 19 12:59:23 localhost NetworkManager: <info>  Marking connection 'Auto
Wireless@Home' invalid.
Mar 19 12:59:23 localhost NetworkManager: <info>  Activation (wlan0) failed.
Mar 19 12:59:23 localhost NetworkManager: <info>  Deactivating device wlan0.
Comment 1 Dan Williams 2008-03-19 10:03:43 EDT
What kernel RPM do you have installed?  There was one screwed up kernel update
that could be causing this.  You might want to try the latest kernel from
f8-updates-testing and see if that works better.
Comment 2 Erik Sohns 2008-03-20 10:01:02 EDT
kernel-2.6.24.3-34.fc8
Comment 3 Erik Sohns 2008-03-20 10:04:18 EDT
dmesg reveals following info:
wlan0: Initial auth_alg=0
wlan0: authenticate with AP <xxx>
wlan0: authenticate with AP <xxx>
wlan0: authenticate with AP <xxx>
wlan0: authentication with AP <xxx> timed out
wlan0: authentication frame received from <xxx>, but not in authenticate state -
ignored
wlan0: authentication frame received from <xxx>, but not in authenticate state -
ignored
wlan0: authentication frame received from <xxx>, but not in authenticate state -
ignored
wlan0: Initial auth_alg=0
wlan0: authenticate with AP <xxx>
wlan0: Initial auth_alg=0
wlan0: authenticate with AP <xxx>
wlan0: authenticate with AP <xxx>
wlan0: authenticate with AP <xxx>
wlan0: authentication with AP <xxx> timed out

--> could this be a timing issue ?
Comment 4 Dario Castellarin 2008-03-27 07:19:54 EDT
Which firmware version are you using? I strongly suggest you to upgrade to
version 4.150.10.5 (appears as 410.2160 in dmesg) as suggested here
http://linuxwireless.org/en/users/Drivers/b43#devicefirmware
b43 works fine on a WPA2 network with a BCM4312 device here...
Comment 5 Erik Sohns 2008-03-27 11:22:29 EDT
see above:
Mar 19 10:34:54 localhost kernel: b43-phy0: Loading firmware version 410.2160
(2007-05-26 15:32:10)

BTW just upgraded to kernel-2.6.24.3-50.fc8, the problem persists...

I also see strange errors when starting wpa_supplicant:
# service wpa_supplicant start
Starting wpa_supplicant: /etc/wpa_supplicant/wpa_supplicant.conf, -iwlan0,
-Dwextioctl[SIOCSIWENCODEEXT]: No such file or directory
ioctl[SIOCSIWENCODEEXT]: No such file or directory
ioctl[SIOCSIWENCODEEXT]: No such file or directory
ioctl[SIOCSIWENCODEEXT]: No such file or directory
ioctl[SIOCSIWAUTH]: Operation not supported
WEXT auth param 4 value 0x0 -                              [  OK  ]

# cat /etc/wpa_supplicant/wpa_supplicant.conf:
ctrl_interface=/var/run/wpa_supplicant
ctrl_interface_group=wheel

eapol_version=1
ap_scan=2
fast_reauth=0

network={
        scan_ssid=1
        ssid="<SSID ASCII>"
        key_mgmt=WPA-PSK
        proto=WPA2
        pairwise=CCMP
        group=CCMP
        psk="<plaintext ASCII>"
        priority=2
}
Comment 6 Dan Williams 2008-04-10 12:31:45 EDT
When using NM you shouldn't need to start the supplicant at all as NM autostarts
it; can you turn off the supplicant (chkconfig wpa_supplicant off) and try again?

If that doesn't work, turn off NetworkManager (service NetworkManager stop) and
then run the following command and attach the output of it here:

(as root)
/usr/sbin/wpa_supplicant -dddt -i wlan0 -D wext -c
/etc/wpa_supplicant/wpa_supplicant.conf

Thanks!
Comment 7 Erik Sohns 2008-04-11 10:58:58 EDT
Created attachment 302133 [details]
log dump as requested

I tried your suggestions --> no luck :-(
Comment 8 Vegard Nossum 2008-07-15 08:34:57 EDT
After upgrading from kernel 2.6.25-14.fc9.i686 to 2.6.25.9-76.fc9.i686, b43
has stopped working.

This is my dmesg:

wlan0: Initial auth_alg=0
wlan0: authenticate with AP 00:1c:f0:83:8e:26
wlan0: Initial auth_alg=0
wlan0: authenticate with AP 00:1c:f0:83:8e:26
wlan0: RX authentication from 00:1c:f0:83:8e:26 (alg=0 transaction=2 status=0)
wlan0: authenticated
wlan0: associate with AP 00:1c:f0:83:8e:26
wlan0: authentication frame received from 00:1c:f0:83:8e:26, but not in
authenticate state - ignored
wlan0: RX ReassocResp from 00:1c:f0:83:8e:26 (capab=0x431 status=0 aid=2)
wlan0: associated
wlan0: switched to short barker preamble (BSSID=00:1c:f0:83:8e:26)
wlan0: disassociate(reason=3)

The "not in authenticate state" seems relevant. Is this the same bug?
Comment 9 Dan Williams 2008-10-20 10:45:08 EDT
Is this still an issue with latest kernel, NetworkManager, and wpa_supplicant?
Comment 10 Erik Sohns 2008-10-22 07:54:33 EDT
as far as I can tell, this problem has been resolved in FC9

Note You need to log in before you can comment on or make changes to this bug.